Results 1 to 8 of 8

Thread: Installing VirtualBox4.0 on Backtrack 5 R1

  1. #1
    Just burned his ISO
    Join Date
    Dec 2010
    Posts
    8

    Default Installing VirtualBox4.0 on Backtrack 5 R1

    Hi guys!

    I just tried to install Virtualbox4.0 on Backtrack 5 R1 to run "DVL" and Backtrack on one machine, but I failed...

    I hope anybody can help me.

    The problem is, after i installed Virtualbox via "apt-get" and started it, everything worked fine so far. After creating a new virtual machine I wanted to start the guest OS. I got this error message:

    ---------------------------------------------------------------------------------
    Kernel driver not installed (rc=-1908)

    The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Re-setup the kernel module by executing

    ‘/etc/init.d/vboxdrv setup’

    as root. Users of Ubuntu, Fedora or Mandriva should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
    ---------------------------------------------------------------------------------


    I tried to install the DKMS package, but nothing changed!

    Do you know what to do here?

  2. #2
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  3. #3
    Just burned his ISO
    Join Date
    Dec 2010
    Posts
    8

    Default AW: Installing VirtualBox4.0 on Backtrack 5 R1

    No, i didnt! Shame over me!

    Thanks a lot! Problem solved!

  4. #4
    Just burned his ISO
    Join Date
    Feb 2012
    Posts
    2

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    Quote Originally Posted by sickness View Post
    I followed the wiki but i still get that error. I have searched the web for different solutions and tried them all but i still got that error. Any way to solve it?

    Kind regards,
    Bjorngulf

  5. #5
    Just burned his ISO
    Join Date
    Jan 2012
    Posts
    8

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    I've just installed VBox ^^
    So i have suggestions
    write in console
    (log in as root if not under root already)
    apt-get update
    apt-get upgrade
    apt-get install dkms
    download from https://www.virtualbox.org/wiki/Linux_Downloads
    the all distribution version of virtual box (if you have 64 bit then amd64 if 32 bit then i386)
    when downloaded right click on the run file ->properties -> permission -> set as executable put check
    then double click that file (an x console will open and install virtuall box , at the end it will say press return to exit)
    and that's that you will find vbox under system programs
    i would suggest that you uninstall first all your attempts of previous installations of vbox
    Hope i helped
    Sh

    EDIT & ADD 1
    I didn't know i could edit this... Oh well, the error message you gave me helped allot.
    Lets try this

    apt-get update
    apt-get install kernel-devel
    apt-get install kernel-headers
    Then we must install the dkms (there is a possibility of change after these files are added)
    apt-get install dkms
    After this try installing the virtual box . run file as i mentioned before. If not succeeded post me an error message and try this
    apt-get install virtualbox
    You will get an error message that you can post also with the previous.
    These should not happened but its just a measure of precaution
    Last edited by Sharan; 02-20-2012 at 03:48 PM. Reason: Adding additional information

  6. #6
    Good friend of the forums zimmaro's Avatar
    Join Date
    Mar 2010
    Location
    milano
    Posts
    407

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    hi,try this:
    open a terminal:

    echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee -a /etc/apt/sources.list
    wget -q http://download.virtualbox.org/virtu...racle_vbox.asc -O- | sudo apt-key add -
    sudo apt-get update
    sudo apt-get install virtualbox-4.0


    when you finished remove or comment(#) the line of virtualbox-repo in /etc/apt/sources.list
    bye

  7. #7
    Just burned his ISO
    Join Date
    Feb 2012
    Posts
    2

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    Thank you, you're edit did the job . At first he didn't find the packages kernel-devel and kernel-headers. But i googled it and i used sudo aptitude install linux-headers-`uname -r` and that did the job. Thanks again for the help.

    Kind regards,
    Bjorngulf

  8. #8
    Just burned his ISO
    Join Date
    Jan 2012
    Posts
    8

    Default Re: Installing VirtualBox4.0 on Backtrack 5 R1

    That error msg says allot

    Try this

    apt-get install kernel-devel
    apt-get install kernel-headers

    if that worked and installed it (meaning you didnt had it then you have to install the dkms again (apt-get install dkms))

    than install the run file of virtual box
    IF after that you still have the same error

    try typing
    apt-get install virtualbox
    you will get an error msg that you can post here.
    this realy shouldn't happend so the last part is just a precautios measure.

Similar Threads

  1. Replies: 15
    Last Post: 02-01-2011, 10:37 AM
  2. Installing Backtrack
    By aussieguy in forum Beginners Forum
    Replies: 2
    Last Post: 11-11-2010, 12:54 AM
  3. Replies: 4
    Last Post: 08-23-2010, 09:38 PM
  4. installing backtrack usb
    By pathare in forum Beginners Forum
    Replies: 2
    Last Post: 05-27-2010, 03:07 PM
  5. installing Backtrack 4 help
    By intos in forum OLD Newbie Area
    Replies: 8
    Last Post: 07-29-2009, 12:15 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •